MLton MLTONWIKIVERSION

RSSASimplify

Home Index

The optimization passes for the RSSA IntermediateLanguage are collected and controlled by the `Backend` functor (backend.sig,backend.fun).

The following optimization pass is implemented:

- RSSAShrink

The following implementation passes are implemented:

- ImplementHandlers

- ImplementProfiling

- InsertLimitChecks

- InsertSignalChecks

The optimization passes can be controlled from the command-line by the options

- `-diag-pass <pass>` -- keep diagnostic info for pass

- `-drop-pass <pass>` -- omit optimization pass

- `-keep-pass <pass>` -- keep the results of pass

Last edited on 2006-11-02 17:52:35 by MatthewFluet.